{% extends 'base.html' %}

{% block content %}
<h1>Playlists</h1>
<table>
    <thead>
        <tr>
            <th>Playlist Name</th>
            <th>Created by</th>
            <th>Song count</th>
        </tr>
    </thead>
    <tbody>
        {% for playlist in playlist_list %}
        <tr>
            <td><a href="{% url 'playlist_details' playlist.id %}">{{ playlist.name }}</a></td>
            <td>{{ playlist.owner }}</td>
            <td>{{ playlist.song.all|length }}</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
            

{% endblock content %}
